<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2013 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace app\controller\system;

use app\controller\Base;
use app\services\system\ConfigService;

class Index extends Base{

	/**
	 * @title 系统版本
	 *
	 * @return void
	 */
	public function version(){
		$system_info_mysql = \think\facade\Db::query("select version() as v;");
		$this->data['data'] = [
			['label' => '核心版本', 'values' => \think\facade\Env::get('version')],
			['label' => '服务器操作系统', 'values' => PHP_OS],
			['label' => '运行环境', 'values' => $_SERVER['SERVER_SOFTWARE']],
			['label' => 'MYSQL版本', 'values' => $system_info_mysql[0]['v']],
			['label' => '上传限制', 'values' => '10']
		];
		return $this->data;
	}

	/**
	 * 获取配置列表
	 *
	 * @param ConfigService $service
	 * @return void
	 */
	public function setting(ConfigService $service){
		$list = $service->getConfigField();

		$this->data['data'] = $list;
		return $this->data;
	}
}